Ubuntu

Eclipse crashes on installing update

Reported by Guido Navalesi on 2009-10-24
This bug report is a duplicate of:  Bug #445009: Eclipse SIGSEGVs in libpango. Edit Remove
56
This bug affects 9 people
Affects Status Importance Assigned to Milestone
Eclipse
Confirmed
Unknown
eclipse (Fedora)
Fix Committed
Unknown
eclipse (Ubuntu)
Medium
Unassigned

Bug Description

Recently updated to Karmik, all fine, except Eclipse, too mucho trouble with it.

When I try to to install Aptana Studio it crashes.

#
# A fatal error has been detected by the Java Runtime Environment:
#
# SIGSEGV (0xb) at pc=0x00007f669577ff7a, pid=11908, tid=140079778035984
#
# JRE version: 6.0-b16
# Java VM: OpenJDK 64-Bit Server VM (14.0-b16 mixed mode linux-amd64 )
# Distribution: Ubuntu karmic (development branch), package 6b16-1.6.1-1ubuntu3
# Problematic frame:
# C [libpango-1.0.so.0+0x24f7a] pango_layout_new+0x2a
#
# If you would like to submit a bug report, please include
# instructions how to reproduce the bug and visit:
# https://bugs.launchpad.net/ubuntu/+source/openjdk-6/
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#

--------------- S Y S T E M ---------------

OS:Ubuntu 9.10 (karmic)
uname:Linux 2.6.31-14-generic #48-Ubuntu SMP Fri Oct 16 14:05:01 UTC 2009 x86_64
libc:glibc 2.10.1 NPTL 2.10.1
rlimit: STACK 8192k, CORE 0k, NPROC infinity, NOFILE 1024, AS infinity
load average:0,21 0,08 0,04

CPU:total 4 (4 cores per cpu, 1 threads per core) family 16 model 2 stepping 3, cmov, cx8, fxsr, mmx, sse, sse2, sse3, mmxext, 3dnow, 3dnowext, sse4a

Memory: 4k page, physical 3541504k(42736k free), swap 3630648k(3625624k free)

vm_info: OpenJDK 64-Bit Server VM (14.0-b16) for linux-amd64 JRE (1.6.0_0-b16), built on Oct 8 2009 11:48:46 by "buildd" with gcc 4.4.1

Guido Navalesi (eddiemolko) wrote :
xaelis (alexis-muller) wrote :

This bug happen very often on karmic amd64.
Not only will installing a particular plugin but will using eclipse, making it unusable.

Happen either with sun-jdk-6 and openjdk-6.

A same eclipse installation (from eclipse download page) works on jaunty and crash on karmic.

I have try with a fresh installation from repository : same result.

Seem to be an issue with pango version :
# C [libpango-1.0.so.0+0x24f7a] pango_layout_new+0x2a

xaelis (alexis-muller) on 2009-10-26
affects: openjdk-6 (Ubuntu) → eclipse (Ubuntu)
Benjamin Drung (bdrung) on 2009-10-27
Changed in eclipse (Ubuntu):
importance: Undecided → Medium
Benjamin Drung (bdrung) on 2009-10-27
Changed in eclipse (Ubuntu):
status: New → Confirmed
Rockwalrus (rockwalrus) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. Please try to obtain a valgrind log following the instructions at https://wiki.ubuntu.com/Valgrind and attach the file to the bug report. This will greatly help us in tracking down your problem.

Guido Navalesi (eddiemolko) wrote :

I've been trying to obtain a valgrind log following the isntructions, but when i try to run eclipse:

guido@Bender:~$ G_SLICE=always-malloc G_DEBUG=gc-friendly valgrind -v --tool=memcheck --leak-check=full --num-callers=40 --log-file=valgrind.log eclipse
/bin/sh: Can't open eclipse

And nothing happens.

xaelis (alexis-muller) wrote :

Please find attached the valgrind result and the corresponding eclipse crash log.

Step to reproduce (Not the only one !) :

xaelis@joshua:~$ G_SLICE=always-malloc G_DEBUG=gc-friendly valgrind -v --tool=memcheck --leak-check=full --show-reachable=yes --num-callers=40 --log-file=valgrind.log /usr/bin/eclipse

- Eclipse start
- choosing a workspace
- Open Help menu -> Install New Software
- Do cancel
- Eclipse crash

xaelis (alexis-muller) wrote :
Dario Bertini (berdario) wrote :

i started eclipse with valgrind

(don't know why valgrind can't solve the path, but at least it should give a more explicative error, rather than "can't open nameofprogram".... i'm pretty sure in a old bug report i failed to fetch a valgrind log due to this, i changed the ubuntu wiki page, or would it be better to file a bug against valgrind?)

i'm attaching the valgrind.log obtained, and i'll add my error .log too...

this problem not only happens while installing a plugn, but even while saving/executing command args for the project, after exporting into .jar, while closing eclipse itself, and god knows what else ... if necessary i can create other valgring .logs even for those cases... right now eclipse is a royal PITA to use

Dario Bertini (berdario) wrote :

uh, seems i'm a little late... hovewer here's the error .log and the output of running eclipse through valgrind:

 G_SLICE=always-malloc G_DEBUG=gc-friendly valgrind -v --tool=memcheck --leak-check=full --num-callers=40 --smc-check=all --log-file=valgrind.log /usr/bin/eclipse
Gtk-Message: Failed to load module "pk-gtk-module": libpk-gtk-module.so: impossibile aprire il file oggetto condiviso: Nessun file o directory
#
# A fatal error has been detected by the Java Runtime Environment:
#
# SIGSEGV (0xb) at pc=0x00007f76be111f7a, pid=24538, tid=140148639623440
#
# JRE version: 6.0-b16
# Java VM: OpenJDK 64-Bit Server VM (14.0-b16 mixed mode linux-amd64 )
# Distribution: Ubuntu karmic (development branch), package 6b16-1.6.1-1ubuntu3
# Problematic frame:
# C [libpango-1.0.so.0+0x24f7a] pango_layout_new+0x2a
#
# An error report file with more information is saved as:
# /home/dario/hs_err_pid24538.log
#
# If you would like to submit a bug report, please include
# instructions how to reproduce the bug and visit:
# https://bugs.launchpad.net/ubuntu/+source/openjdk-6/
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#

Guido Navalesi (eddiemolko) wrote :

I've found this on my folder. It seems like a valgrind log, but i've been never able to run eclipse with the valgrind command.

xaelis (alexis-muller) wrote :

Do not seem to be a pango version issue finally~:

I have just upgrade to gtk+ 2.18.3 (with pango 1.26.0) on my gentoo.
Eclipse still working with no issue.

Rockwalrus (rockwalrus) wrote :

Looks like both logs were done on amd64 machines. Eclipse starts a new process on launch on that arch, which means that valgrind unfortunately didn't catch the error. You can force Eclipse to start the jvm in the same process instead of a new one by giving it the arguments "-vm /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/server/". If you use a jvm other than openjdk, replace the directory argument by the one containing libjvm.so for your preferred jvm.

So the commandline would look like this:
G_SLICE=always-malloc G_DEBUG=gc-friendly valgrind -v --tool=memcheck --leak-check=full --num-callers=40 --smc-check=all --log-file=valgrind.log /usr/bin/eclipse -vm /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/server/

Guido Navalesi (eddiemolko) wrote :

Excelent, with that command i've been able to obtain a valgrind log.
Here it is.

xaelis (alexis-muller) wrote :

Here is my valgrind log. I have add show-reachable option, don't know if it can help.

xaelis@joshua:~$ G_SLICE=always-malloc G_DEBUG=gc-friendly valgrind -v --tool=memcheck --leak-check=full --show-reachable=yes --num-callers=40 --smc-check=all --log-file=valgrind.log /usr/bin/eclipse -vm /usr/lib/jvm/java-6-sun/jre/lib/amd64/server/

Rockwalrus (rockwalrus) wrote :

Unfortunately, that still didn't get valgrind to trace the jvm. Let's try this:
G_SLICE=always-malloc G_DEBUG=gc-friendly valgrind -v --tool=memcheck --leak-check=full --num-callers=40 --smc-check=all --log-file=valgrind.log --trace-children=yes /usr/bin/eclipse -vm /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/server/

Dario Bertini (berdario) wrote :

with this eclipse crashed even before starting up, here's the output:

 G_SLICE=always-malloc G_DEBUG=gc-friendly valgrind -v --tool=memcheck --leak-check=full --num-callers=40 --smc-check=all --log-file=valgrind.log --trace-children=yes /usr/bin/eclipse -vm /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/server/
==12365== Can't create log file '/usr/bin/valgrind.log' (Permission denied); giving up!
valgrind: Bad option '--log-file=<file> (didn't work out for some reason.)'; aborting.
valgrind: Use --help for more information.
==12366== Can't create log file '/usr/bin/valgrind.log' (Permission denied); giving up!
valgrind: Bad option '--log-file=<file> (didn't work out for some reason.)'; aborting.
valgrind: Use --help for more information.
==12367== Can't create log file '/usr/bin/valgrind.log' (Permission denied); giving up!
valgrind: Bad option '--log-file=<file> (didn't work out for some reason.)'; aborting.
valgrind: Use --help for more information.
Gtk-Message: Failed to load module "pk-gtk-module": libpk-gtk-module.so: impossibile aprire il file oggetto condiviso: Nessun file o directory
#
# A fatal error has been detected by the Java Runtime Environment:
#
# SIGILL (0x4) at pc=0x0000000010319846, pid=12373, tid=67386064
#
# JRE version: 6.0-b16
# Java VM: OpenJDK 64-Bit Server VM (14.0-b16 mixed mode linux-amd64 )
# Distribution: Ubuntu karmic (development branch), package 6b16-1.6.1-1ubuntu3
# Problematic frame:
# v ~RuntimeStub::resolve_opt_virtual_call
#
# An error report file with more information is saved as:
# /home/dario/hs_err_pid12373.log
#
# If you would like to submit a bug report, please include
# instructions how to reproduce the bug and visit:
# https://bugs.launchpad.net/ubuntu/+source/openjdk-6/
#
Killed
dario@macbook:~$

Rockwalrus (rockwalrus) wrote :

Hmm, it's trying to write valgrind.log to /usr/bin, which is going to fail because normal accounts don't have write privs there. Try changing --log-file=valgrind.log to --log-file=~/valgrind.log

The output should then get written to your home directory.

Dario Bertini (berdario) wrote :

uh, i thought that the --log-file argument was the same from the previous commands, and didn't bother to check it... however the result is the same as before:

G_SLICE=always-malloc G_DEBUG=gc-friendly valgrind -v --tool=memcheck --leak-check=full --num-callers=40 --smc-check=all --log-file=$HOME/valgrind.log --trace-children=yes /usr/bin/eclipse -vm /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/server/
Gtk-Message: Failed to load module "pk-gtk-module": libpk-gtk-module.so: impossibile aprire il file oggetto condiviso: Nessun file o directory
#
# A fatal error has been detected by the Java Runtime Environment:
#
# SIGILL (0x4) at pc=0x0000000010319c46, pid=13077, tid=67386064
#
# JRE version: 6.0-b16
# Java VM: OpenJDK 64-Bit Server VM (14.0-b16 mixed mode linux-amd64 )
# Distribution: Ubuntu karmic (development branch), package 6b16-1.6.1-1ubuntu3
# Problematic frame:
# v ~RuntimeStub::resolve_static_call
#
# An error report file with more information is saved as:
# /home/dario/hs_err_pid13077.log
#
# If you would like to submit a bug report, please include
# instructions how to reproduce the bug and visit:
# https://bugs.launchpad.net/ubuntu/+source/openjdk-6/
#
Killed
dario@macbook:~$

Rockwalrus (rockwalrus) wrote :

dario: can you attach the valgrind.log as well? it should be in your home directory.

Changed in eclipse (Fedora):
status: Unknown → In Progress
xaelis (alexis-muller) wrote :

I try :

xaelis@joshua:~$ G_SLICE=always-malloc G_DEBUG=gc-friendly valgrind -v --tool=memcheck --leak-check=full --num-callers=40 --smc-check=all --log-file=valgrind.log --trace-children=yes /usr/bin/eclipse -vm /usr/lib/jvm/java-6-sun/jre/lib/amd64/server/

Same result as Dario :

#
# A fatal error has been detected by the Java Runtime Environment:
#
# SIGILL (0x4) at pc=0x000000000f860846, pid=3237, tid=67377872
#
# JRE version: 6.0_16-b01
# Java VM: Java HotSpot(TM) 64-Bit Server VM (14.2-b01 mixed mode linux-amd64 )
# Problematic frame:
# v ~RuntimeStub::resolve_opt_virtual_call
#
# An error report file with more information is saved as:
# /home/xaelis/hs_err_pid3237.log
#
# If you would like to submit a bug report, please visit:
# http://java.sun.com/webapps/bugreport/crash.jsp
#
Killed

I attach the corresponding valgrind log.

xaelis (alexis-muller) wrote :

Note that the last crash we have with valgrind, has nothing to do with eclipse instability we previous report.

With this last command, eclipse crash before it start (during the splash screen).

NKjoep (nkjoep) wrote :

Hi all,

same problem here. Every time i click a "cancel" button from Eclipse interface it crashes...

Here my valgrind log :)

NKjoep (nkjoep) wrote :

sorry, my previous valgrind.log was dumb.

here one more complete. 31Mb.

Oh i'm running Intel :)

nh2 (nh2) wrote :

Please check if this is a duplicate of Bug 445009. It is about a SIGSEGV in libpango after clicking Cancel like in Comment #21 and the Red Hat upstream bug, but not about text fields like the Eclipse upstream bug seems to be.
In this bug, there is another Eclipse upstream bug linked.

xaelis (alexis-muller) wrote :

@nh2

Yes indeed it seems very similar.

Eclipse crashes as soon a click 'cancel' button (click close the window using the WM) on almost every dialog windows.

The only dialog window that have not the issue is the "Open file" dialogue. But on my system it is a native gnome "open file" window.

NKjoep (nkjoep) wrote :

@nh2 @xaelis

Yes very similar bug.

I solved turning off Gnome Assistive Technologies, after logout Eclipsed works again.

Please see also this bug: https://bugs.launchpad.net/ubuntu/+source/eclipse/+bug/469375

xaelis (alexis-muller) wrote :

Yes ! I confirm same bug :

Turning off assistive technologies stop Eclipse crashes.

pox45 (a-gecyasar) wrote :

Yepp, thanks alot for the hint! turning off assistive technologies also worked for me

nh2 (nh2) wrote :

Workaround works for me, too.
System -> Preferences -> Assistive Technologies -> Untick first checkbox -> Eclipse works.

Do you think we should mark this as a duplicate of 445009? It really seems to be the same issue.

On Mon, 2009-11-02 at 18:59 +0000, nh2 wrote:
> Workaround works for me, too.
> System -> Preferences -> Assistive Technologies -> Untick first checkbox -> Eclipse works.
>
> Do you think we should mark this as a duplicate of 445009? It really
> seems to be the same issue.
>

I think it is a good idea to mark this bug as a duplicate if it is
similar.

At the same time I think we should fix the problem in Eclipse so that we
don't have to untick first checkbox in Assistive Technologies, this so
that we don't break other programs - or that the fix is not permanent.

Kallinger (kallingerm) wrote :

Yes, this workaround works for me, too.

nh2 (nh2) wrote :

OK, I marked it as duplicate and copied the upstream links over there.
Someone having permissions should set the importance to "Medium" there, too.

Rockwalrus (rockwalrus) wrote :

According to a patch in the Eclipse upstream tracker, the crash in pango_layout_new could be caused by just about any exception, which explains why the same symptom shows up for so many unrelated bugs.

Changed in eclipse (Fedora):
status: In Progress → Fix Committed
Changed in eclipse-eclipsers:
status: Unknown → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.